RadioLib Universal wireless communication library for Arduino

Public Attributes | List of all members
LoRaWANBand_t Struct Reference

Structure to save information about LoRaWAN band. More...

`#include <LoRaWAN.h>`

## Public Attributes
uint8_t | bandNum
| Identier for this band.
uint8_t | bandType
| Whether the channels are fixed per specification, or dynamically allocated through the network (plus defaults)
uint8_t | payloadLenMax [RADIOLIB_LORAWAN_CHANNEL_NUM_DATARATES]
| Array of allowed maximum payload lengths for each data rate.
int8_t | powerMax
| Maximum allowed output power in this band in dBm.
int8_t | powerNumSteps
| Number of power steps in this band.
uint32_t | dutyCycle
| Number of milliseconds per hour of allowed Time-on-Air.
uint32_t | dwellTimeUp
| Maximum dwell time per uplink message in milliseconds.
uint32_t | dwellTimeDn
| Maximum dwell time per downlink message in milliseconds.
LoRaWANChannel_t | txFreqs [3]
| A set of default uplink (TX) channels for frequency-type bands.
LoRaWANChannel_t | txJoinReq [3]
| A set of possible extra channels for the Join-Request message for frequency-type bands.
uint8_t | numTxSpans
| The number of TX channel spans for mask-type bands.
LoRaWANChannelSpan_t | txSpans [2]
| Default uplink (TX) channel spans for mask-type bands, including Join-Request parameters.
LoRaWANChannelSpan_t | rx1Span
| Default downlink (RX1) channel span for mask-type bands.
uint8_t | rx1DataRateBase
| The base downlink data rate. Used to calculate data rate changes for adaptive data rate.
LoRaWANChannel_t | rx2
| Backup channel for downlink (RX2) window.
uint8_t | dataRates [RADIOLIB_LORAWAN_CHANNEL_NUM_DATARATES]
| The corresponding datarates, bandwidths and coding rates for DR index.

## Detailed Description

Structure to save information about LoRaWAN band.

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h